import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;
import java.util.stream.Stream;


/**
 * ICPC - CTU Open Contest 2021
 * Sample Solution: Binary string
 * 
 * @author Martin Kacer
 */
public class BinaryMK {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	public static void main(String[] args) {
		new BinaryMK().run();
	}
	
	void run() {
		String s = nextToken();
		int a = s.indexOf('1'), b = s.lastIndexOf('1');
		System.out.println(Math.max(Math.max(a, s.length()-1-b),
				(Stream.of(s.split("1")).mapToInt(String::length).max().orElse(0)+1) / 2));
	}
}
